gcc-9 (9.5.0-6ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:03:47 +0000

gcc-9 (9.5.0-6ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Mar 2024 09:57:02 +0100

gcc-9 (9.5.0-6) unstable; urgency=medium

  * d/p/gcc-distro-defaults: Make -fstack-protector-explicit known.
  * Address stack protector and stack clash protection weaknesses
    on AArch64. CVE-2023-4039.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Mar 2024 09:50:53 +0100

gcc-9 (9.5.0-5ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Feb 2024 15:17:17 +0100

gcc-9 (9.5.0-5) unstable; urgency=medium

  * Allow the gccgo-link test to fail on armhf.
  * Remove references to obsolete dpkg m32r and tilegx archs. Closes: #1056765.
  * Don't run the tests with -fstack-protector/-fno-stack-protector on slower
    architectures.

 -- Matthias Klose <doko@debian.org>  Sat, 03 Feb 2024 14:48:22 +0100

gcc-9 (9.5.0-4ubuntu2) mantic; urgency=medium

  * Allow the gccgo-link test to fail on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Aug 2023 15:16:38 +0200

gcc-9 (9.5.0-4) unstable; urgency=medium

  * libgccjit-9-doc: Relax dependency on the gcc-9-base package.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jul 2023 16:32:40 +0200

gcc-9 (9.5.0-3ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Feb 2023 07:47:45 +0100

gcc-9 (9.5.0-3) unstable; urgency=medium

  * RISC-V: jal cannot refer to a default visibility symbol for shared object,
    taken from the GCC 12 branch.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Feb 2023 06:25:40 +0100

gcc-9 (9.5.0-2ubuntu1) lunar; urgency=medium

  * RISC-V: jal cannot refer to a default visibility symbol for shared object,
    taken from the GCC 12 branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Feb 2023 18:58:49 +0100

gcc-9 (9.5.0-2) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * Backport d/patches/pr91085.diff to avoid problem with fixincludes-ed
    sys/mount.h.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Aug 2022 12:24:23 +0200

gcc-9 (9.5.0-1ubuntu3) kinetic; urgency=medium

  * Backport d/patches/pr91085.diff to avoid problem with fixincludes-ed
    sys/mount.h.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 23 Aug 2022 16:06:37 +1200

gcc-9 (9.5.0-1ubuntu2) kinetic; urgency=medium

  * Rebuild against latest glibc

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 13 Aug 2022 23:35:39 -0400

gcc-9 (9.5.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 May 2022 13:00:46 +0200

gcc-9 (9.5.0-1) unstable; urgency=medium

  * GCC 9.5.0 release.
  * Refresh patches.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Fri, 27 May 2022 10:59:32 +0200

gcc-9 (9.4.0-5ubuntu1) jammy; urgency=medium

  * Update to git 20220204 from the gcc-9 branch.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Feb 2022 15:06:51 +0100

gcc-9 (9.4.0-5) unstable; urgency=medium

  * Update to git 20220204 from the gcc-9 branch.
    - Fix PR tree-optimization/97953, PR target/103465, PR target/100985,
      PR target/102347, PR ipa/103267, PR ipa/103052, PR target/101985,
      PR fortran/104127, PR fortran/104227, PR fortran/103782,
      PR fortran/103588, PR fortran/103610, PR fortran/103606,
      PR fortran/103717, PR fortran/103607, PR fortran/103392,
      PR libfortran/103634, PR d/103604, PR sanitizer/102911,
      PR libstdc++/103381.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Feb 2022 14:49:31 +0100

gcc-9 (9.4.0-4ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Nov 2021 20:53:03 +0100

gcc-9 (9.4.0-4) unstable; urgency=medium

  * Update to git 20211117 from the gcc-9 branch.
    - Fix PR middle-end/100672, PR tree-optimization/101373,
      PR tree-optimization/101868, PR middle-end/101824,
      PR tree-optimization/102789, PR target/98667, PR tree-optimization/101173,
      PR tree-optimization/101280, PR tree-optimization/101394,
      PR tree-optimization/101105, PR tree-optimization/100934,
      PR middle-end/100509, PR tree-optimization/102622,
      PR rtl-optimization/102306, PR d/102574, PR fortran/101327,
      PR fortran/98490, PR fortran/82314, PR fortran/85130,
      PR fortran/102287, PR fortran/97612, PR fortran/98565,
      PR fortran/93701, PR fortran/98472, PR fortran/100110,
      PR libstdc++/103022, PR libstdc++/102425, PR libstdc++/102667.
  * Move libtsan_preinit.o into libgcc-9-dev. Addresses: #999752.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 19:24:03 +0100

gcc-9 (9.4.0-3ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Sep 2021 18:14:49 +0200

gcc-9 (9.4.0-3) unstable; urgency=medium

  * Update to git 20210909 from the gcc-9 branch.
    - Fix  PR c++/60318, PR target/101471 (x86), PR target/101723 (ARM),
      PR target/100767 (ARM), PR fortran/46691, PR fortran/99819,
      PR fortran/99125, PR fortran/93924, PR fortran/93925, PR fortran/93794.
  * Remove trailing spaces in symbols files.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Sep 2021 14:21:20 +0200

gcc-9 (9.4.0-2) unstable; urgency=medium

  * Update to git 20210814 from the gcc-9 branch.
    - Fix PR target/94780 (MIPS), PR target/100182 (x86),
      PR target/101129 (PPC), PR rtl-optimization/99927, PR target/101175 (x86),
      PR target/100871 (S390), PR d/96435, PR d/101640, PR d/101490,
      PR d/101441, PR d/101127, PR d/100967, PR d/90651, PR d/100964,
      PR d/100935, PR d/100882, PR fortran/100949, PR fortran/100227,
      PR fortran/99839, PR libstdc++/91488, PR sanitizer/101749,
      PR libstdc++/101866, PR libstdc++/101510, PR libstdc++/88881,
      PR libstdc++/88881, PR libstdc++/96657, PR libstdc++/101034,
      PR libstdc++/90415, PR libstdc++/92156, PR libstdc++/100982,
      PR libstdc++/95833, PR libstdc++/100630, PR libstdc++/100384,
      PR libstdc++/99006, PR libstdc++/91488.
  * Ada: Keep the alternate stack size at 16 * 1024, and don't rely on
    the MINSIGSTKSZ constant removed in glibc 2.34.

 -- Matthias Klose <doko@debian.org>  Sat, 14 Aug 2021 11:09:16 +0200

gcc-9 (9.4.0-1ubuntu3) impish; urgency=medium

  * Update to git 20210814 from the gcc-9 branch.
    - Fix PR target/94780 (MIPS), PR target/100182 (x86),
      PR target/101129 (PPC), PR rtl-optimization/99927, PR target/101175 (x86),
      PR target/100871 (S390), PR d/96435, PR d/101640, PR d/101490,
      PR d/101441, PR d/101127, PR d/100967, PR d/90651, PR d/100964,
      PR d/100935, PR d/100882, PR fortran/100949, PR fortran/100227,
      PR fortran/99839, PR libstdc++/91488, PR sanitizer/101749,
      PR libstdc++/101866, PR libstdc++/101510, PR libstdc++/88881,
      PR libstdc++/88881, PR libstdc++/96657, PR libstdc++/101034,
      PR libstdc++/90415, PR libstdc++/92156, PR libstdc++/100982,
      PR libstdc++/95833, PR libstdc++/100630, PR libstdc++/100384,
      PR libstdc++/99006, PR libstdc++/91488.
  * Ada: Keep the alternate stack size at 16 * 1024, and don't rely on
    the MINSIGSTKSZ constant removed in glibc 2.34.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Aug 2021 11:42:52 +0200

gcc-9 (9.4.0-1ubuntu1) impish; urgency=medium

  * GCC 9.4.0 release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Jun 2021 12:03:08 +0200

gcc-9 (9.4.0-1) unstable; urgency=medium

  * GCC 9.4.0 release.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Jun 2021 11:54:15 +0200

gcc-9 (9.3.0-26ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 May 2021 14:01:18 +0200

gcc-9 (9.3.0-26) experimental; urgency=medium

  * GCC 9.4.0 release candidate 2.
  * Update to git 20210527 from the gcc-9 branch.
    - Fix PR c++/97938, PR c++/52625, PR c++/80456, PR sanitizer/100379,
      PR c++/100797, PR c++/95719.
  * Drop the PR bootstrap/87338 patch, applied upstream.

 -- Matthias Klose <doko@debian.org>  Fri, 28 May 2021 13:52:31 +0200

gcc-9 (9.3.0-25ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 May 2021 10:26:14 +0200

gcc-9 (9.3.0-25) experimental; urgency=medium

  * GCC 9.4.0 release candidate.
  * Update to git 20210519 from the gcc-9 branch.
    - Fix PR target/97865 (Darwin), PR target/44107 (Darwin),
      PR target/48097 (Darwin), PR tree-optimization/92608, PR bootstrap/87338,
      PR target/100182 (x86), PR tree-optimization/99954,
      PR rtl-optimization/99929, PR target/98136 (AArch64),
      PR rtl-optimization/96796, PR tree-optimization/98302,
      PR middle-end/95694, PR c++/95719, PR fortran/100154,
      PR target/98952 (PPC), PR libstdc++/100259, PR target/99988 (AArch64),
      PR target/99037 (AArch64), PR target/100441 (AArch64),
      PR rtl-optimization/100225, PR rtl-optimization/84878,
      PR target/100402 (x86), PR rtl-optimization/100263,
      PR tree-optimization/98786, PR rtl-optimization/100230,
      PR tree-optimization/100053, PR rtl-optimization/98144,
      PR target/100375 (nvptx), PR target/100302 (AArch64),
      PR rtl-optimization/100254, PR debug/100255, PR rtl-optimization/100148,
      PR tree-optimization/91914, PR fortran/100274, PR c/100450,
      PR rtl-optimization/80960, PR tree-optimization/96513,
      PR tree-optimization/96597, PR tree-optimization/88240,
      PR tree-optimization/100566.
  * Fix running the libstdc++-v3 tests against the installed libstdc++6,
    when the libstdc++6 package is not built from this source.
  * Don't apply the arm-multilib-soft patch when building without
    armhf/armsf multilib packages.

 -- Matthias Klose <doko@debian.org>  Wed, 19 May 2021 10:20:17 +0200

gcc-9 (9.3.0-24ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Apr 2021 22:21:04 +0200

gcc-9 (9.3.0-24) experimental; urgency=medium

  * Update to git 20210422 from the gcc-9 branch.
    - Fix PR driver/47785, PR tree-optimization/99694, PR c/99224, PR lto/96591,
      PR tree-optimization/97009, PR tree-optimization/99856, PR ipa/99466,
      PR target/97329 (PPC), PR target/99704 (x86), PR target/99702 (RISCV),
      PR ipa/98078, PR tree-optimization/98758, PR tree-optimization/98282,
      PR tree-optimization/93964, PR fortran/99840, PR fortran/99688,
      PR fortran/99545, PR lto/96385, PR bootstrap/99983, PR libstdc++/99985,
      PR libstdc++/96029, PR libstdc++/96029, PR target/99767, PR lto/99849,
      PR rtl-optimization/99905, PR debug/99830, PR rtl-optimization/98601,
      PR rtl-optimization/99863, PR tree-optimization/99777, PR debug/99334,
      PR debug/99388, PR target/99542 (AArch64), PR middle-end/93235,
      PR tree-optimization/99225, PR tree-optimization/99204, PR ipa/99034,
      PR tree-optimization/99079, PR c++/99035, PR middle-end/99007,
      PR middle-end/97487, PR middle-end/97971, PR debug/98331,
      PR target/98853 (AArch64), PR target/98681 (AArch64), PR testsuite/97301,
      PR tree-optimization/90248, PR c++/98556, PR tree-optimization/98474,
      PR c++/98353, PR middle-end/98183, PR middle-end/98205, PR c/99324,
      PR target/98100, PR target/98063 (x86), PR debug/97599, PR c++/98187,
      PR rtl-optimization/97386, PR sanitizer/97294, PR c/99990, PR c/99588,
      PR c/99136, PR c/97958, PR c++/95468, PR c++/96282, PR c++/64194,
      PR c++/99833, PR c++/99790, PR c++/99745, PR c++/99650, PR c++/99613,
      PR c++/82959, PR c++/95451, PR sanitizer/99106, PR c++/99033,
      PR c++/97878, PR c++/33661, PR c++/98847, PR sanitizer/95693,
      PR c++/98672, PR c++/98187, PR c++/98072, PR c++/97663, PR d/98457,
      PR jit/100096, PR bootstrap/97163, PR sanitizer/100114,
      PR libstdc++/100180, PR libstdc++/99181, PR libstdc++/99181,
      PR libstdc++/90945, PR libstdc++/94854, PR libstdc++/99533,
      PR libstdc++/99536, PR libstdc++/82584, PR libstdc++/99805,
      PR libstdc++/97362, PR libstdc++/97570, PR libstdc++/98319,
      PR libstdc++/99077, PR libstdc++/99058.
  * Fix PR sanitizer/100114, taken from the trunk.
  * Starting with Ubuntu impish, don't build arm multilib packages.

 -- Matthias Klose <doko@debian.org>  Fri, 23 Apr 2021 22:17:17 +0200

gcc-9 (9.3.0-23ubuntu2) hirsute; urgency=medium

  * Update to git 20210416 from the gcc-9 branch.
    - Fix PR driver/47785, PR tree-optimization/99694, PR c/99224, PR lto/96591,
      PR tree-optimization/97009, PR tree-optimization/99856, PR ipa/99466,
      PR target/97329 (PPC), PR target/99704 (x86), PR target/99702 (RISCV),
      PR ipa/98078, PR tree-optimization/98758, PR tree-optimization/98282,
      PR tree-optimization/93964, PR fortran/99840, PR fortran/99688,
      PR fortran/99545, PR lto/96385, PR bootstrap/99983, PR libstdc++/99985,
      PR libstdc++/96029, PR libstdc++/96029.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Apr 2021 09:35:03 +0200

gcc-9 (9.3.0-23ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Mar 2021 10:58:28 +0100

gcc-9 (9.3.0-23) experimental; urgency=medium

  * Update to git 20210316 from the gcc-9 branch.
    - Fix PR go/99458, PR target/85074 (PA), PR target/99234 (x86),
      PR target/99234 (x86), PR ada/99264, PR c/99137, PR c++/98810,
      PR c++/95675, PR c++/90333, PR d/99337, PR fortran/99124,
      PR fortran/99060, PR libfortran/99218, PR fortran/99545.
  * Don't strip the sanitizer libraries, these are only used for debugging.
    LP: #1894166.
  * Fix --as-needed specs for -fsanitize=* options for backports.
    LP: #1896458.
  * Revert the PR ada/99264 fix, causing an ABI breakage in libgnat.
  * debian/ada/check_ali_update.sh: Fix syntax errors.
    Always run the script.
  * Fix lib*gcc* dependencies for backports.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Mar 2021 10:49:34 +0100

gcc-9 (9.3.0-22) unstable; urgency=medium

  * Update to git 20210207 from the gcc-9 branch.
    - Fix PR tree-optimization/97236, PR target/97528 (ARM), PR d/98921.
  * Revert the fix for PR c++/95158, causing PR target/98032.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Feb 2021 18:48:24 +0100

gcc-9 (9.3.0-21ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
   - Revert the fix for PR c++/95158, causing PR target/98032.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Feb 2021 08:50:20 +0100

gcc-9 (9.3.0-21) unstable; urgency=medium

  * Update to git 20210202 from the gcc-9 branch.
    - Fix PR lto/85574, PR tree-optimization/97627, PR target/98618 (AArch64),
      PR ada/98228, PR ada/98740, PR c++/63707, PR fortran/86470,
      PR fortran/98517, PR fortran/93833, PR fortran/98022, PR fortran/98022,
      PR fortran/91640, PR libgomp/65099, PR d/98806, PR d/98921,
      PR libstdc++/98605, PR libstdc++/96083, PR libstdc++/65480,
      PR libstdc++/68735, PR libstdc++/91997.
  * Fix PR target/97528, taken from the gcc-10 branch.
  * PR sanitizer/98699: Don't enable --as-needed with -fsanitize=* options.
  * Use --push-state/--pop-state for gold everywhere.
  * Explicitly use autoconf2.69 when available.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Feb 2021 08:42:28 +0100

gcc-9 (9.3.0-20) unstable; urgency=medium

  * Update to git 20210110 from the gcc-9 branch.
    - Fix PR testsuite/90806, PR target/96793 (x86), PR target/96793 (x86),
      PR rtl-optimization/97421, PR target/96793 (x86), PR target/98086 (x86),
      PR tree-optimization/96075, PR middle-end/96369, PR middle-end/97554,
      PR tree-optimization/97812, PR tree-optimization/97255,
      PR tree-optimization/97081, PR tree-optimization/96579,
      PR tree-optimization/96370, PR tree-optimization/96514, 
      PR target/97939 (SPARC), PR target/96607 (SPARC), PR ada/98230,
      PR d/98277, PR fortran/96325, PR fortran/83118, PR fortran/96012,
      PR fortran/92587, PR fortran/96320, PR fortran/94246, PR fortran/96100,
      PR fortran/96101, PR fortran/98307, PR fortran/95342, PR libstdc++/98001.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Jan 2021 21:39:37 +0100

gcc-9 (9.3.0-19ubuntu2) hirsute; urgency=medium

  * Revert the fix for PR c++/95158, causing PR target/98032.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Nov 2020 20:21:42 +0100

gcc-9 (9.3.0-19ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Nov 2020 15:09:49 +0100

gcc-9 (9.3.0-19) unstable; urgency=medium

  * Update to git 20201125 from the gcc-9 branch.
    - Fix PR c/96545, PR middle-end/95903, PR c/94755, PR c++/97918,
      PR target/97535 (AArch64), PR target/97682 (RISCV), PR target/97685 (x86),
      PR rtl-optimization/97439, PR ipa/97404, PR ipa/97295, PR ipa/97295,
      PR target/97349 (AArch64), PR target/97150 (AArch64),
      PR target/96313 (AArch64), PR gcov-profile/97193, PR gcov-profile/64636,
      PR gcov-profile/97069, PR target/97184 (x86), PR target/71233 (AArch64),
      PR middle-end/97073, PR target/97032 (x86), PR tree-optimization/97053,
      PR target/94710 (PPC), PR debug/96729, PR tree-optimization/96722,
      PR fortran/93553, PR middle-end/96459, PR middle-end/96426,
      PR target/96174 (x86), PR tree-optimization/95857, PR middle-end/95810,
      PR middle-end/95108, PR debug/95080, PR target/9495 (RISCV),
      PR rtl-optimization/94873, PR target/94832 (x86), PR target/94826 (PPC),
      PR target/94820 (AArch64), PR tree-optimization/94809,
      PR target/94780 (x86), PR target/94710, PR c/94705, PR c/94641,
      PR rtl-optimization/94618, PR tree-optimization/94621,
      PR bootstrap/89494, PR tree-optimization/94524, PR target/94438 (x86),
      PR target/97028 (x86), PR ipa/94947, PR middle-end/94964,
      PR tree-optimization/95049, PR tree-optimization/95133,
      PR tree-optimization/95717,
      PR c++/95158, PR c++/88115, PR libstdc++/97273, PR c++/96862,
      PR c++/95328, PR c++/94951, PR c++/94742, PR c++/94571, PR c++/94325,
      PR target/85486, PR fortran/93553, PR middle-end/96459,
      PR libstdc++/94936, PR libstdc++/97798, PR libstdc++/97731,
      PR libstdc++/97132, PR libstdc++/97167, PR libstdc++/96803,
      PR libstdc++/96803, PR libstdc++/92978, PR libstdc++/94681,
      PR libstdc++/94681, PR libstdc++/97101, PR libstdc++/94160,
      PR fortran/95847, PR fortran/97652, PR fortran/97272, PR fortran/95614,
      PR fortran/95614, PR fortran/96041, PR fortran/93423, PR target/85486,
      PR fortran/93553, PR middle-end/96459.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Nov 2020 15:06:39 +0100

gcc-9 (9.3.0-18ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...
  * Update to git 20200914 from the gcc-9 branch.
    - Fix PR ipa/94947, PR middle-end/94964, PR tree-optimization/95049,
      PR tree-optimization/95133, PR tree-optimization/95717,
      PR libstdc++/94033.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Sep 2020 12:03:22 +0200

gcc-9 (9.3.0-18) unstable; urgency=medium

  * Update to git 20200911 from the gcc-9 branch.
    - Fix PR target/92923 (PPC), PR fortran/95882, PR fortran/96486,
      PR libstdc++/89510, PR libstdc++/71960, PR libstdc++/96766,
      PR libstdc++/89760, PR libstdc++/95749.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Sep 2020 10:51:22 +0200

gcc-9 (9.3.0-17ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2020 13:55:35 +0200

gcc-9 (9.3.0-17) unstable; urgency=medium

  * Update to git 20200808 from the gcc-9 branch.
    - Fix PR target/96191 (ARM), PR target/96191 (AArch64),
      PR rtl-optimization/94605, PR middle-end/95114, PR target/94065 (PPC),
      PR d/96140, PR fortran/95612, PR fortran/95585, PR fortran/89574,
      PR fortran/96018, PR fortran/96220, PR target/96402 (AArch64),
      PR fortran/93592, PR libstdc++/93245, PR libstdc++/94242,
      PR libstdc++/96484.
  * Apply patch for PR bootstrap/96203, add -fcf-protection=check, taken from
    the trunk.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Aug 2020 13:51:49 +0200

gcc-9 (9.3.0-16ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Jul 2020 11:57:43 +0200

gcc-9 (9.3.0-16) unstable; urgency=medium

  * Update to git 20200721 from the gcc-9 branch.
    - Fix PR target/94891 (AArch64), PR target/94791 (AArch64),
      PR target/96001 (AArch64).
    - Fix missing dependencies for selftests which occasionally causes
      failed builds. Addresses: #960913.
  * Build the GC enabled libobjc on arm64, mips and mipsel as well.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Jul 2020 11:49:23 +0200

gcc-9 (9.3.0-15ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jul 2020 14:47:23 +0200

gcc-9 (9.3.0-15) unstable; urgency=medium

  * Update to git 20200713 from the gcc-9 branch.
    - Fix PR libstdc++/91807, PR libstdc++/94627, PR fortran/95709,
      PR fortran/93337, PR fortran/88379, PR fortran/71706, PR fortran/95880,
      PR fortran/95829, PR fortran/95743, PR fortran/95881, PR fortran/95689,
      PR fortran/95689, PR fortran/95587, PR fortran/95708, PR d/95250,
      PR d/95173, PR tree-optimization/95804, PR tree-optimization/95638,
      PR target/94954 (PPC), PR target/95874 (x86).
  * distro-defaults.h: Don't define for offload compilers.
  * Update the patch for PR lto/95604.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Jul 2020 14:26:07 +0200

gcc-9 (9.3.0-14ubuntu2) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jun 2020 12:46:08 +0200

gcc-9 (9.3.0-14) unstable; urgency=medium

  * Update to git 20200617 from the gcc-9 branch.
    - Fix PR target/94833 (PPC), PR target/94591 (AArch64),
      PR gcov-profile/95332, PR target/94812 (AArch64), PR target/95258 (x86),
      PR tree-optimization/94969, PR c++/90212, PR c++/90479, PR c++/91529,
      PR c++/93822, PR fortran/95373, PR fortran/95373, PR fortran/95106,
      PR fortran/95530, PR fortran/95537, PR fortran/95500, PR fortran/94361,
      PR fortran/94361, PR fortran/94397, PR fortran/50392, PR fortran/39695,
      PR libfortran/95191, PR target/91695 (x86), PR target/95220 (x86),
      PR libfortran/95104, PR libfortran/95119, PR sanitizer/95634,
      PR sanitizer/94910, PR c++/95344, PR c++/95560, PR fortran/95503,
      PR fortran/94109, PR fortran/95611, PR fortran/95091, PR fortran/95091.
    - Fix PR c++/95678. Closes: #959613.
  * Fix PR lto/95604, proposed patch.
  * Reorganize the distro defaults patches.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Jun 2020 12:24:51 +0200

gcc-9 (9.3.0-13ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 May 2020 10:43:25 +0200

gcc-9 (9.3.0-13) unstable; urgency=medium

  * Update to git 20200518 from the gcc-9 branch.
    - Fix PR target/94748 (AArch64), PR target/94697 (AArch64),
      PR target/94515 (AArch64), PR target/91518 (PPC), PR fortran/93497,
      PR fortran/59107, PR target/94514 (AArch64), PR libstdc++/94906,
      PR d/92216, PR d/94970, PR d/95155, PR d/90719.
  * Run the testsuite with the offload compilers installed into the temporary
    install location.
  * Don't require root for the temp installation of the offload compilers.
  * Don't override the libstdc++ test results when running the libstdc++ abi
    check.
  * Include jit test results into the summary and the gcc-test-results package.
  * Configure --with-arch=i686 for the Hurd. Closes: #960928.

 -- Matthias Klose <doko@debian.org>  Mon, 18 May 2020 23:59:01 +0200

gcc-9 (9.3.0-12ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 May 2020 17:09:58 +0200

gcc-9 (9.3.0-12) unstable; urgency=medium

  * Update to git 20200507 from the gcc-9 branch.
    - Fix PR target/94613 (S390), PR tree-optimization/93674,
      PR target/94145 (PPC), PR target/93654 (x86), PR c++/94946,
      PR c++/90750, PR c++/79585, PR fortran/93581, PR fortran/93956,
      PR fortran/94788, PR d/90718, PR d/90719.
  * Fix PR target/94666 (S390), taken from the trunk.
  * Increase the testsuite timeout on riscv64.
  * Fix sparc64 multilib cross build (Helmut Grohne). Closes: #958909.
  * lib*stdc++6: Depend on lib*gcc-sN instead if lib*gccN.

 -- Matthias Klose <doko@debian.org>  Thu, 07 May 2020 16:59:19 +0200

gcc-9 (9.3.0-11ubuntu2) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Apr 2020 19:09:47 +0200

gcc-9 (9.3.0-11) unstable; urgency=medium

  * Update to git 20200424 from the gcc-9 branch.
    - Fix PR target/94509 (x86), PR target/94488 (AArch64), PR debug/94459,
      PR target/94460 (x86), PR middle-end/94423, PR middle-end/94412,
      PR target/93069 (x86), PR tree-optimization/94329, PR middle-end/94303,
      PR debug/94283, PR debug/94283, PR debug/94277, PR target/94518 (AArch64),
      PR tree-optimization/94211, PR target/94500 (x86), PR c++/94512,
      PR gcov-profile/94029, PR c/94172, PR c++/94512, PR c++/94477,
      PR c++/94385, PR c++/93931, PR c++/90995, PR c++/93597, PR c++/91377,
      PR c++/94453, PR d/94240, PR fortran/93686, PR gcov-profile/94570,
      PR tree-optimization/94482, PR target/94556 (x86),
      PR target/94530 (AArch64), PR target/94396 (AArch64),
      PR target/94417 (x86), PR tree-optimization/94443,
      PR tree-optimization/94043, PR target/94557 (PPC), PR middle-end/94479,
      PR target/94584 (xtensa), PR target/94603 (x86), PR target/94494 (x86),
      PR target/93932 (PPC), PR c++/94505, PR fortran/93364, PR fortran/94270,
      PR target/93053 (AArch64), PR c++/94510, PR fortran/93956,
      PR libstdc++/94203.

  [ Nicolas Boulenguez ]
  * Remove ada-lib-info-file-prefix-map.diff (see 87972).

  [ Matthias Klose ]
  * Don't install the empty gcc_lib_dir in gcc-N-base.
  * Fix local patch for PR jit/87808. Addresses: #954898.
  * Don't include lib*gomp1 and libgcc4 in the control file, when not building
    the common libraries.
  * Provide symlinks for the offload target tools in <gcclibdir>/accel/<target>.
  * Fix PR target/94666 (S390), taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Apr 2020 18:44:03 +0200

gcc-9 (9.3.0-10ubuntu2) focal; urgency=medium

  * Update to git 20200408 from the gcc-9 branch.
    - Fix PR target/94509 (x86), PR target/94488 (AArch64), PR debug/94459,
      PR target/94460 (x86), PR middle-end/94423, PR middle-end/94412,
      PR target/93069 (x86), PR tree-optimization/94329, PR middle-end/94303,
      PR debug/94283, PR debug/94283, PR debug/94277, PR target/94518 (AArch64),
      PR tree-optimization/94211, PR target/94500 (x86), PR c++/94512,
      PR gcov-profile/94029, PR c/94172, PR c++/94512, PR c++/94477,
      PR c++/94385, PR c++/93931, PR c++/90995, PR c++/93597, PR c++/91377,
      PR c++/94453, PR d/94240, PR fortran/93686.
  * Don't install the empty gcc_lib_dir in gcc-N-base.
  * Re-enable running the testsuite.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Apr 2020 12:38:09 +0200

gcc-9 (9.3.0-10ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Apr 2020 13:10:37 +0200

gcc-9 (9.3.0-10) unstable; urgency=medium

  * Update to git 20200404 from the gcc-9 branch.
    - PR tree-optimization/93435, PR tree-optimization/94103, PR fortran/85982,
      PR ipa/94445, PR middle-end/94206, PR c++/91966, PR libstdc++/93960.

  [ Nicolas Boulenguez ]
  * Fix #954681 but preserve checksums in libgnat .ali files.

 -- Matthias Klose <doko@debian.org>  Sat, 04 Apr 2020 13:03:14 +0200

gcc-9 (9.3.0-9) unstable; urgency=medium

  * Update to git 20200402 from the gcc-9 branch.
    - Fix PR lto/94249, PR target/94052 (AArch64), PR c++/84733,
      PR fortran/94348, PR fortran/93484, PR target/94435 (AArch64),
      PR target/94368 (AArch64), PR target/92692 (AArch64),
      PR target/93819 (PPC), PR target/87583 (PPC), PR c++/90711,
      PR fortran/93498, PR fortran/94030, PR target/91833 (AArch64),
      PR target/91834 (AArch64).

  [ Matthias Klose ]
  * Update libstdc++6 symbols file for armel. Addresses: #954954.
  * Fix PR target/94368 (AArch64), proposed patch.

  [ Nicolas Boulenguez ]
  * ada-lib-info-source-date-epoch.diff: handle Invalid_Time. Closes: #954681.
  * Remove some dependencies older than oldoldstable.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Apr 2020 15:56:03 +0200

gcc-9 (9.3.0-8ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 14:16:12 +0100

gcc-9 (9.3.0-8) unstable; urgency=medium

  * Update to git 20200324 from the gcc-9 branch.
    - Fix PR tree-optimization/94125, PR target/90763 (PPC).
  * libgcc-N-dev: Include sanitizer headers again. Closes: #954750.
  * gm2: Define lang_register_spec_functions for jit. Addresses: #954438.
  * Generate dependencies on libgcc-sN if not building the common packages.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Mar 2020 18:41:59 +0100

gcc-9 (9.3.0-7ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 14:12:20 +0100

gcc-9 (9.3.0-7) unstable; urgency=medium

  * Fix stage1 and stage2 cross builds.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Mar 2020 14:04:33 +0100

gcc-9 (9.3.0-6) unstable; urgency=medium

  * Move back the libgccjit headers into libgccjit-N-dev.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Mar 2020 12:37:48 +0100

gcc-9 (9.3.0-5) unstable; urgency=medium

  * Update to git 20200320 from the gcc-9 branch.
    - Fix PR tree-optimization/94163, PR rtl-optimization/94119,
      PR target/87560 (PPC), PR target/91913 (ARM), PR target/93800 (PPC),
      PR c++/92909, PR c++/92068, PR c++/93248, PR libstdc++/94063,
      PR libstdc++/93244, PR driver/92757, PR target/93709, PR middle-end/94189,
      PR debug/94167, PR middle-end/93566, PR target/94121 (AArch64),
      PR tree-optimization/94130, PR target/94121 (AArch64),
      PR middle-end/94111, PR tree-optimization/94114, PR middle-end/93399,
      PR debug/93888, PR tree-optimization/94001, PR libstdc++/94199.
  * Build using GCC 9 again.
  * Move limits.h and syslimits.h into <gcc-lib-dir>/include, and remove
    <gcc-lib-dir>/include-fixed.
  * Relax the dependency on libc6 again.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Mar 2020 10:40:52 +0100

gcc-9 (9.3.0-3ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Mar 2020 10:30:38 +0100

gcc-9 (9.3.0-3) unstable; urgency=high

  * Ship the include-fixed directory again, for a working #include <limits.h>.
  * Build using GCC 8.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Mar 2020 09:37:07 +0100

gcc-9 (9.3.0-1) unstable; urgency=medium

  * GCC 9.3.0 release.
  * Update newlib to 3.3.0.
  * Update gm2 from the gcc_9_2_0_gm2 branch 202003114.
  * For all runtime libraries, generate dependencies on libgcc-sN instead
    on libgccN.
  * Stop shipping the include-fixed directory.
  * Refresh patches.
  * Tighten dependency on libc6 for this upload.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Mar 2020 15:24:59 +0100

gcc-9 (9.2.1-31ubuntu3) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2020 20:29:27 +0100

gcc-9 (9.2.1-31) unstable; urgency=medium

  * GCC 9.3.0 release candidate.
  * Update to git 20200304 from the gcc-9 branch.
    - Fix PR c/93949, PR tree-optimization/93945, PR target/91276 (PPC),
      PR c++/92003, PR target/93047 (PPC), PR tree-optimization/93820,
      PR rtl-optimization/93908, PR tree-optimization/93767, PR c++/92745,
      PR c++/90951, PR c++/93140, PR c++/92852, PR libstdc++/93205,
      PR libstdc++/92886, PR libstdc++/93325, PR libstdc++/93562,
      PR libstdc++/92376, PR libstdc++/78552, PR rtl-optimization/94002,
      PR c++/92601,i PR other/93965, PR c++/86917, PR c++/91953,
      PR c++/88256, PR c++/93442, PR c++/90732, PR c++/90333, PR c++/89640,
      PR c++/60503, PR libbacktrace/91908, PR lto/93966,
      PR target/94046 (x86), PR target/90311 (ARM), PR sanitizer/93436,
      PR c++/88395, PR c++/93551, PR gcov-profile/93753, PR c++/90338,
      PR c++/91607, PR c++/90938, PR c++/93299, PR c++/93676, PR c++/90505,
      PR c++/90432, PR c++/90997, PR fortran/92976, PR libstdc++/94069,
      PR libstdc++/91910, PR libstdc++/93470, PR libstdc++/93325.
    - Revert PR target/93658 (PPC), PR target/93568 (PPC).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2020 20:20:03 +0100

gcc-9 (9.2.1-31ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Mar 2020 12:20:02 +0100

gcc-9 (9.2.1-31) unstable; urgency=medium

  * Update to git 20200304 from the gcc-9 branch.
    - Fix PR c/93949, PR tree-optimization/93945, PR target/91276 (PPC),
      PR c++/92003, PR target/93047 (PPC), PR tree-optimization/93820,
      PR rtl-optimization/93908, PR tree-optimization/93767, PR c++/92745,
      PR c++/90951, PR c++/93140, PR c++/92852, PR libstdc++/93205,
      PR libstdc++/92886, PR libstdc++/93325, PR libstdc++/93562,
      PR libstdc++/92376, PR libstdc++/78552, PR rtl-optimization/94002,
      PR c++/92601,i PR other/93965, PR c++/86917, PR c++/91953,
      PR c++/88256, PR c++/93442, PR c++/90732, PR c++/90333, PR c++/89640,
      PR c++/60503, PR libbacktrace/91908, PR lto/93966.
    - Revert PR target/93658 (PPC), PR target/93568 (PPC).

 -- Matthias Klose <doko@debian.org>  Wed, 04 Mar 2020 12:15:13 +0100

gcc-9 (9.2.1-30ubuntu2) focal; urgency=medium

  * Update to git 20200228 from the gcc-9 branch.
    - Fix PR c/93949, PR tree-optimization/93945, PR target/91276 (PPC),
      PR c++/92003, PR target/93047 (PPC), PR tree-optimization/93820,
      PR rtl-optimization/93908, PR tree-optimization/93767, PR c++/92745,
      PR c++/90951, PR c++/93140, PR c++/92852, PR libstdc++/93205,
      PR libstdc++/92886, PR libstdc++/93325, PR libstdc++/93562,
      PR libstdc++/92376, PR libstdc++/78552.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Feb 2020 13:32:57 +0100

gcc-9 (9.2.1-30ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2020 20:14:24 +0100

gcc-9 (9.2.1-30) unstable; urgency=medium

  * Update to git 20200224 from the gcc-9 branch.
    - Fix PR target/93658 (PPC), PR target/93568 (PPC), PR target/93828 (x86),
      PR target/93656 (x86).
  * Don't create doc directories for -dbg packages when not building those.
  * Fix PR rtl-optimization/93272, taken from the trunk. LP: #1862342.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Feb 2020 20:10:08 +0100

gcc-9 (9.2.1-29ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2020 10:20:02 +0100

gcc-9 (9.2.1-29) unstable; urgency=medium

  * Update to git 20200220 from the gcc-9 branch.
    - Fix PR middle-end/92768, PR middle-end/90313, PR tree-optimization/93434,
      PR tree-optimization/92710, PR tree-optimization/92420, PR target/90724,
      PR target/93724 (x86), PR target/93743 (x86), PR tree-optimization/93744,
      PR target/93704 (SPARC), PR rtl-optimization/88879, PR middle-end/90648,
      PR tree-optimization/93381, PR tree-optimization/93439,
      PR middle-end/93054, PR debug/92763, PR tree-optimization/92704,
      PR middle-end/92674, PR target/93696 (x86), PR target/93670 (x86),
      PR target/93637 (x86), PR target/65782 (x86), PR libgomp/93515,
      PR libgomp/93515, PR middle-end/93555, PR middle-end/93505,
      PR target/93418 (x86), PR rtl-optimization/93402, PR target/85667,
      PR rtl-optimization/91838, PR c/93576, PR c++/61414, PR c++/93557,
      PR c++/91118, PR fortran/93580, PR fortran/93463, PR libgcc/85334,
      PR fortran/93714.
  * Fix PR target/93658 (PPC), proposed patch. LP: #1862053.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Feb 2020 10:09:59 +0100

gcc-9 (9.2.1-28ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Feb 2020 18:15:46 +0100

gcc-9 (9.2.1-27) unstable; urgency=medium

  * Update to git 20200203 from the gcc-9 branch.
    - Fix PR fortran/93541, PR fortran/93462, PR fortran/93309.
  * libgcc-dev: Don't ship a libgcc_so.1 symlink in gcclibdir. Closes: #950525.
  * Allow retrying of a native build in case of unreproducible ICEs.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Feb 2020 12:40:17 +0100

gcc-9 (9.2.1-26) unstable; urgency=medium

  * Update to git 20200202 from the gcc-9 branch.
    - Fix PR target/93304 (RISCV), PR target/92424 (AArch64),
      PR target/92692 (AArch64), PR c++/89357, PR c++/90546, PR c++/90731,
      PR c++/90966, PR c++/93279, PR c++/91826, PR c++/92852,
      PR libstdc++/91947.
  * Stop building packages now built by gcc-10.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Feb 2020 18:57:46 +0100

gcc-9 (9.2.1-25ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Jan 2020 14:27:32 +0100

gcc-9 (9.2.1-25) unstable; urgency=medium

  * Update to git 20200123 from the gcc-9 branch.
      Fix PR inline-asm/93202, PR rtl-optimization/93088, PR ipa/93087,
      PR target/93335 (AArch64), PR target/91298 (AArch64), PR libgomp/93065,
      PR target/93333 (RISCV), PR target/93073 (PPC), PR target/93009 (x86),
      PR middle-end/93246, PR c/93348, PR c++/93228, PR c++/92438,
      PR c++/92992, PR c++/91476, PR c++/92531, PR c++/93286, PR libgomp/93219,
      PR fortran/93329, PR fortran/93236, PR libfortran/93234.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Jan 2020 14:21:05 +0100

gcc-9 (9.2.1-24ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Jan 2020 12:36:48 +0100

gcc-9 (9.2.1-24) unstable; urgency=medium

  * Update to git 20200117 from the gcc-9 branch.
    - Fix PR target/93254 (x86), PR ipa/93223, PR ipa/92971,
      PR target/93188 (ARM), PR c/93072, PR c/93241, PR fortran/84135,
      PR middle-end/91226. PR libstdc++/81091, PR libstdc++/91947.
  * Back-out the LTO zstd compression code again.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Jan 2020 11:04:08 +0100

gcc-9 (9.2.1-23ubuntu2) focal; urgency=medium

  * Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jan 2020 09:54:08 +0100

gcc-9 (9.2.1-23ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 13:34:37 +0100

gcc-9 (9.2.1-23) unstable; urgency=medium

  * Update to SVN 20200110 (r280102) from the gcc-9-branch.
    - Fix PR libstdc++/93208, PR libstdc++/93201, PR target/93182 (AVR).

  [ Matthias Klose ]
  * Backport the LTO zstd compression code.

  [YunQiang Su]
  * Fix buffer overflow in the gcc-search-prefixed-as-ld patch when
    strlen(DEFAULT_REAL_TARGET_MACHINE) < multiarch_len. Closes: #915194.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Jan 2020 13:18:54 +0100

gcc-9 (9.2.1-22ubuntu2) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2020 11:14:06 +0100

gcc-9 (9.2.1-22) unstable; urgency=medium

  * Update to SVN 20200104 (r279880) from the gcc-9-branch.
    - Fix PR libstdc++/92853, PR target/92098 (PPC), PR libstdc++/91786,
      PR tree-optimization/91790, PR c++/57082, PR c++/92859, PR c++/92446,
      PR c++/92150, PR fortran/92898, PR fortran/92897, PR fortran/92899,
      PR c++/60228, PR sanitizer/92154, PR c++/61414, PR c/90677,
      PR target/67834 (PA), PR target/93111 (PA), PR fortran/92756,
      PR ipa/92357, PR tree-optimization/92930, PR target/92904 (X86),
      PR target/92723, PR debug/92664, PR tree-optimization/92644,
      PR target/92615 (X86), PR rtl-optimization/92591, PR target/92545 (AVR),
      PR target/92950 (S390), PR c/90677, PR c++/92831, PR c++/92732,
      PR c++/92695, PR c++/92695, PR c++/60228, PR c++/92695, PR c++/92524,
      PR c++/92648, PR c++/61414, PR c/90677, PR c++/90842, PR fortran/92961,
      PR fortran/92753, PR fortran/92977, PR fortran/92977, PR fortran/92899,
      PR fortran/92775, PR fortran/92781, PR fortran/91944.
  * libgomp-plugin-nvptx1: Update cuda suggestions. Closes: #946487.
  * Fix buffer overflow in the gcc-search-prefixed-as-ld patch. Closes: #946792.
  * Backport gccgo patch for hurd-i386 (Svante Signell). Closes: #946709.

 -- Matthias Klose <doko@debian.org>  Sat, 04 Jan 2020 10:43:48 +0100

gcc-9 (9.2.1-22ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2019 17:33:54 +0100

gcc-9 (9.2.1-22) unstable; urgency=medium

  * Update to SVN 20191216 (r279443) from the gcc-9-branch.
    - Fix PR libstdc++/92853, PR target/92098 (PPC), PR libstdc++/91786,
      PR tree-optimization/91790, PR c++/57082, PR c++/92859, PR c++/92446,
      PR c++/92150, PR fortran/92898, PR fortran/92897..
  * libgomp-plugin-nvptx1: Update cuda suggestions. Closes: #946487.
  * Fix buffer overflow in the gcc-search-prefixed-as-ld patch. Closes: #946792.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Dec 2019 17:32:44 +0100

gcc-9 (9.2.1-21ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Nov 2019 23:05:19 +0100

gcc-9 (9.2.1-21) unstable; urgency=medium

  * Update to SVN 20191130 (r278870) from the gcc-9-branch.
    - Fix PR fortran/92100, PR tree-optimization/92222, PR ada/92489,
      PR fortran/92629.
  * Stop building -dbg packages, keep building the libstc++6-9-dbg package
    containing just the libstdc++ debug build.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Nov 2019 09:17:04 +0100

gcc-9 (9.2.1-20ubuntu3) focal; urgency=medium

  * Update to SVN 20191127 (r278756) from the gcc-9-branch.
    - Fix PR fortran/92100.
  * Stop building -dbg packages, keep building the libstc++6-9-dbg package
    containing just the libstdc++ debug build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Nov 2019 08:14:41 +0100

gcc-9 (9.2.1-20ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Nov 2019 08:30:24 +0100

gcc-9 (9.2.1-20) unstable; urgency=medium

  * Update to SVN 20191126 (r278718) from the gcc-9-branch.
    - Fix PR libstdc++/92267, PR tree-optimization/91355, PR other/92090,
      PR middle-end/90796, PR middle-end/90840, PR target/90867 (x86),
      PR c/90898, PR middle-end/91450, PR rtl-optimization/92430,
      PR target/92389 (x86), PR tree-optimization/90930, PR target/87833 (x86),
      PR c++/90767, PR c++/92504, PR fortran/92113, PR fortran/92321,
      PR fortran/92470, PR fortran/92470, PR fortran/92569, PR fortran/92050,
      PR ada/92362, PR ada/92575.
  * Add a libgphobos symbols file.
  * Enable LTO builds again.

 -- Matthias Klose <doko@debian.org>  Tue, 26 Nov 2019 08:16:37 +0100

gcc-9 (9.2.1-19ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Nov 2019 16:13:02 +0100

gcc-9 (9.2.1-19) unstable; urgency=medium

  * Update to SVN 20191109 (r278002) from the gcc-9-branch.
    - Fix PR sanitizer/92154, PR c++/92384, PR middle-end/92231, PR c++/90947,
      PR c++/90998, PR c++/92343, PR c++/90947, PR tree-optimization/85887,
      PR c++/92015, PR middle-end/92231, PR preprocessor/92296.
  * Fix once more the gnat armel cross build.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Nov 2019 15:47:17 +0100

gcc-9 (9.2.1-18) unstable; urgency=medium

  * Update to SVN 20191108 (r277978) from the gcc-9-branch.
    - Fix PR target/91289 (PPC), PR fortran/92208, PR fortran/92277,
      PR fortran/92208, PR fortran/92284, PR target/92095 (SPARC),
      PR fortran/91253.

  [ Matthias Klose ]
  * Update gm2 from the gcc_9_2_0_gm2 branch 20191107, more parallel
    build issues and cross build fixes.
  * Bump standards version.
  * ada-libgnatvsn.diff:
    - Regenerate with upstream automake 1.15.1 and autoconf 2.69.

  [ Nicolas Boulenguez ]
  * Copy ada-lib-info-file-prefix-map.diff from gcc-8.
  * ada-tools-move-ldflag.diff is obsolete with --as-needed as default.
  * Enable all non-default linker checks for Ada.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Nov 2019 17:51:22 +0100

gcc-9 (9.2.1-17ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Nov 2019 12:24:58 +0100

gcc-9 (9.2.1-17) unstable; urgency=medium

  * Update to SVN 20191102 (r277743) from the gcc-9-branch.
  * Update gm2 from the gcc_9_2_0_gm2 branch 20191031, more parallel
    build issues.
  * ada-libgnatvsn.diff:
    - Copy some of configure.ac's common stuff from libatomic/libgomp.
    - Regenerate with automake 1.15.1 and autoconf 2.69.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Nov 2019 10:37:13 +0100

gcc-9 (9.2.1-16ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Oct 2019 13:51:09 +0100

gcc-9 (9.2.1-16) unstable; urgency=medium

  * Update to SVN 20191030 (r277619) from the gcc-9-branch.
    - Fix PR target/92225 (x86), PR rtl-optimization/92007,
      PR target/70010 (PPC), PR target/65342 (PPC), PR target/67183,
      PR fortran/91926, PR fortran/91863, PR fortran/86248, PR c++/92201.
  * Use a proper configure check when linking with libatomic in libgnatvsn.
    Closes: #943796.
  * Enable gm2 on x32.
  * Update gm2 from the gcc_9_2_0_gm2 branch 20191030, parallel build issues.
  * Fix PR libstdc++/92267, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Oct 2019 13:13:31 +0100

gcc-9 (9.2.1-15ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Oct 2019 18:15:19 +0100

gcc-9 (9.2.1-15) unstable; urgency=medium

  * Update to SVN 20191027 (r277486) from the gcc-9-branch.
    - Fix PR c++/85254.
  * Update gm2 from the gcc_9_2_0_gm2 branch 20191026.
  * Link libgnatvsn against libatomic.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Oct 2019 18:08:50 +0100

gcc-9 (9.2.1-14) unstable; urgency=medium

  * Update to SVN 20191025 (r277460) from the gcc-9-branch.
    - Fix PR libstdc++/90682, PR libstdc++/61761, PR libstdc++/89164,
      PR libstdc++/92143, PR libstdc++/91456, PR libstdc++/92059,
      PR libstdc++/91748, PR tree-optimization/91885, PR debug/91887,
      PR tree-optimization/92131, PR c++/92062, PR fortran/92174,
      PR target/88167 (ARM), PR middle-end/92153.
  * Configure again with --enable-objc-gc=auto, somehow dropped in gcc-9.
    Closes: #942049.
  * Revert the libgnatvsn changes from 9.2.1-9.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Oct 2019 19:31:48 +0200

gcc-9 (9.2.1-12ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Oct 2019 21:40:40 +0200

gcc-9 (9.2.1-12) unstable; urgency=medium

  * Update to SVN 20191022 (r277294) from the gcc-9-branch.
    - Fix PR c++/91925, PR c++/88203, PR c/91401, PR tree-optimization/92056,
      PR tree-optimization/91734, PR bootstrap/90543, PR middle-end/91920,
      PR tree-optimization/91723, PR tree-optimization/91665,
      PR middle-end/91001, PR middle-end/91105, PR middle-end/91106,
      PR go/91617, PR middle-end/91623, PR lto/91572,
      PR tree-optimization/91351. PR target/86040 (AVR), PR target/59888,
      PR target/89400 (ARM), PR target/87243, PR c++/92106, PR c++/91974,
      PR c++/88203, PR c/91401, PR fortran/69455, PR fortran/91586,
      PR fortran/83113, PR fortran/89943.

  [Nicolas Boulenguez]
  * Fix race condition in libgnatvsn/Makefile.

  [ Matthias Klose ]
  * Configure for s390x Ubuntu focal --with-arch=z13 --with-mtune=z15.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Oct 2019 21:35:13 +0200

gcc-9 (9.2.1-11) unstable; urgency=medium

  [Nicolas Boulenguez]
  * Fix diff index in libgnatvsn patch. Closes: #942442.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Oct 2019 10:32:53 +0200

gcc-9 (9.2.1-10) unstable; urgency=medium

  * Update to SVN 20191016 (r277058) from the gcc-9-branch.
    - Fix PR lto/91968, PR tree-optimization/91812, PR debug/91772,
      PR tree-optimization/91790, PR target/92022 (ALPHA),
      PR target/88630 (SH), PR c++/91606, PR c++/91740, PR ada/91995,
      PR fortran/91715, PR fortran/91649, PR fortran/91801.

  [Nicolas Boulenguez]
  * Rewrite libgnatvsn support with autotools. Closes: #746689.
  * Converge towards similar gnat_util library.
  * Cherry-pick repinfo stuff for latest ASIS.

  [ Matthias Klose ]
  * gm2: Fix a time_t cast, and enable gm2 on x32. Closes: #942059,
  * Fix PR lto/91307, reproducible LTO builds, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Oct 2019 12:29:50 +0200

gcc-9 (9.2.1-9ubuntu2) eoan; urgency=medium

  * Revert the ada changes from -9, introducing a ftbfs on armel.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2019 11:39:55 +0200

gcc-9 (9.2.1-9ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Oct 2019 14:33:47 +0200

gcc-9 (9.2.1-9) unstable; urgency=medium

  * Update to SVN 20191008 (r276687) from the gcc-9-branch.
    - Fix PR libstdc++/91748, PR rtl-optimization/89795, PR c++/91705,
      PR target/86805 (SH), PR target/80672 (SH), PR rtl-optimization/88751,
      PR target/91683 (riscv), PR target/91269 (SPARC),
      PR target/91635 (riscv), PR c++/91923, PR fortran/91557,
      PR fortran/91553, PR fortran/91566, PR fortran/91642, PR fortran/91588,
      PR fortran/91727, PR fortran/91550, PR target/91275 (PPC),
      PR target/91769 (MIPS), PR fortran/91716, PR target/88562 (SH),
      PR driver/69471, PR fortran/84487, PR fortran/47054, PR fortran/91942,
      PR fortran/91785, PR fortran/91864, PR fortran/91802, PR fortran/91714,
      PR fortran/91641.
    - Fix ICE on MIPS. Closes: #941263.
  * Disable gm2 on hurd-i386, mc hangs there (Samuel Thibault). Closes: #940600.
  * Apply proposed patch for PR target/92022. Addresses: #931815.

  [ Nicolas Boulenguez ]
  * Update ada local patches.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Oct 2019 10:21:22 +0200

gcc-9 (9.2.1-8ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Sep 2019 19:21:40 +0200

gcc-9 (9.2.1-8) unstable; urgency=medium

  * Update to SVN 20190909 (r275519) from the gcc-9-branch.
    - Fix PR fortran/91496, PR fortran/91496, PR fortran/91660,
      PR fortran/91589, PR target/87853 (x86), PR target/91704 (x86).
  * libstdc++: Fix GCC_LINUX_FUTEX to work with C99 compilers, taken from
    the trunk.
  * Make LTO link pick up compile-time -g (proposed patch).

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2019 17:18:48 +0200

gcc-9 (9.2.1-7ubuntu2) eoan; urgency=medium

  * Update to SVN 20190907 (r275485) from the gcc-9-branch.
    - Fix PR fortran/91496, PR fortran/91496, PR fortran/91660.
  * Fix GCC_LINUX_FUTEX to work with C99 compilers, taken from the trunk.
  * Re-enable running the testsuite.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2019 09:40:59 +0200

gcc-9 (9.2.1-7ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 07:00:00 +0200

gcc-9 (9.2.1-7) unstable; urgency=medium

  * Update to SVN 20190905 (r275396) from the gcc-9-branch.
    - Fix PR libstdc++/91067, PR target/91481 (PPC),
      PR tree-optimization/90278, PR tree-optimization/91568,
      PR tree-optimization/90637, PR fortran/91565, PR fortran/91564,
      PR fortran/91551, PR fortran/91587, PR pch/61250, PR c++/91155,
      PR tree-optimization/91597, PR gcov-profile/91601,
      PR target/91472 (SPARC), PR c++/91129, PR fortran/91552,
      PR target/81800 (AArch64).
  * Drop the gcc-alpha-bs-ignore patch, apparently not necessary anymore.
  * For the omp.h header, use the configured OMP_NEST_LOCK_SIZE and
    OMP_NEST_LOCK_ALIGN values for some non-multilib architectures.
    Closes: #935750.
  * Use Python3 to build the gm2 frontend. Closes: #936586.
  * libgphobos76: Add breaks: dub (<< 1.16.0-1~). Addresses: #935275.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Sep 2019 06:45:00 +0200

gcc-9 (9.2.1-6ubuntu3) eoan; urgency=medium

  * Rebuild for glibc 2.30.
  * Update to SVN 20190901 (r275264) from the gcc-9-branch.
    - Fix PR libstdc++/91067, PR target/91481 (PPC),
      PR tree-optimization/90278, PR tree-optimization/91568,
      PR tree-optimization/90637, PR fortran/91565, PR fortran/91564,
      PR fortran/91551, PR fortran/91587, PR pch/61250.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Sep 2019 23:17:41 +0200

gcc-9 (9.2.1-6ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Aug 2019 01:15:11 +0200

gcc-9 (9.2.1-6) unstable; urgency=medium

  * Update to SVN 20190827 (r274974) from the gcc-9-branch.
    - Fix PR ipa/91508, PR ipa/91438, PR ipa/91404, PR lto/91287,
      PR target/91533 (x86), PR ipa/91508, PR ipa/91438, PR ipa/91404,
      PR c++/91521.
  * Backport LTO jobserver support (-flto=auto).
  * any_archs: Remove mips and powerpcspe, add riscv64.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Aug 2019 01:01:47 +0200

gcc-9 (9.2.1-4ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Aug 2019 14:32:32 +0200

gcc-9 (9.2.1-4) unstable; urgency=medium

  * Fix typo for gm2 enablement.
  * Disable gm2 on powerpc, ppc64, sh4, kfreebsd-i386, kfreebsd-amd64.
    See the build logs of 9.2.1-3 for the various issues.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2019 12:12:07 +0200

gcc-9 (9.2.1-3ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Aug 2019 12:20:03 +0200

gcc-9 (9.2.1-3) unstable; urgency=medium

  * Update to SVN 20190821 (r274792) from the gcc-9-branch.
    - Fix PR rtl-optimization/91347, PR target/91386 (AArch64).

  [ Aurelien Jarno ]
  * Enable Ada on riscv64.

  [ Matthias Klose ]
  * Build the gm2 packages except on powerpc and x32.
  * Update gm2 cross build dependencies.
  * Fix gm2 build with -j32.
  * Configure with --enable-libpth-m2 for gm2 cross builds.
  * Configure --without-target-system-zlib for gdc cross builds.
  * Remove not needed libpth-dev dependency for gm2 packages.
  * Ignore M2Version.o for gm2 bootstrap comparison.
  * Update gm2 from the gcc_9_2_0_gm2 branch 20190820.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Aug 2019 12:15:27 +0200

gcc-9 (9.2.1-2ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Aug 2019 18:03:03 +0200

gcc-9 (9.2.1-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Update to SVN 20190817 (r274667) from the gcc-9-branch.
    - Fix PR c++/90947, PR c++/91436, PR fortran/87991, PR fortran/90563,
      PR fortran/88072, PR fortran/90561, PR fortran/89647, PR fortran/87993,
      PR tree-optimization/91109, PR tree-optimization/91109,
      PR tree-optimization/91445, PR tree-optimization/91091,
      PR c++/90393, PR c++/81429, PR c++/87519, PR c++/90473, PR c++/90884,
      PR libsanitizer/87880, PR fortran/91485, PR fortran/91471,
      PR fortran/78739, PR fortran/78719, PR fortran/82992.
  * More gm2/libgm2 packaging fixes.
  * Disable lto build on sparc64 (if porters would only test that before
    making a request to enable it ...).
  * Bootstrap using gnat-9 on development distributions.

  [ Aurelien Jarno ]
  * Fix libstdc++6.symbols.riscv64.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Aug 2019 13:01:37 +0200

gcc-9 (9.2.1-1) unstable; urgency=medium

  * Update to SVN 20190813 (r274380) from the gcc-9-branch.
    - Fix PR fortran/91422, PR lto/91375, PR driver/91130, PR driver/91130,
      PR c++/91378, PR c++/90538, PR fortran/91424, PR fortran/91359,
      PR fortran/42546, PR fortran/91414, PR libstdc++/90361.
  * Minor updates to debian/copyright for GCC 9.
  * Include a snapshot of the gm2 tarball.
  * Add copyright information for gcc/gm2, gcc/testsuite/gm2 and libgm2.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Aug 2019 15:43:49 +0200

gcc-9 (9.2.0-1ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Aug 2019 12:43:28 +0200

gcc-9 (9.2.0-1) unstable; urgency=medium

  * GCC 9.2.0 release.

  [ Matthias Klose ]
  * Enable pgo/lto build on sparc64 (ok, when done on landau buildd).
  * Add initial gm2 packaging bits.
  * Bump standards version.

  [ James Clarke ]
  * ada-kfreebsd.diff: Fix fatal unreferenced formal parameter warnings.

  [ Aurelien Jarno ]
  * Add libstdc++6.symbols.riscv64.
  * Update debian/libgcc.symbols for riscv64.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Aug 2019 12:24:04 +0200

gcc-9 (9.1.0-10) unstable; urgency=medium

  * Fix typo in libstdc++ symbols file.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Jul 2019 21:56:07 +0200

gcc-9 (9.1.0-9ubuntu2) eoan; urgency=medium

  * Fix typo in libstdc++6 symbols file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Jul 2019 03:53:22 +0200

gcc-9 (9.1.0-9ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jul 2019 21:58:58 +0200

gcc-9 (9.1.0-9) unstable; urgency=medium

  * Update to SVN 20190717 (r273554) from the gcc-9-branch.
    - Fix PR c++/91125, PR c/91149, PR driver/90684, PR middle-end/78884,
      PR rtl-optimization/90756, PR tree-optimization/91063, PR ipa/91062,
      PR ipa/90982, PR tree-optimization/90972, PR debug/90914, PR debug/90900,
      PR lto/90369, PR rtl-optimization/91136, PR tree-optimization/91108,
      PR fortran/91077.

  [ Matthias Klose ]
  * Make the lto-verbose-linker patch more robust for hppa (Dave Anglin).
  * Avoid building stuff which is not needed for architecture independent
    packages. Addresses: #900554.
  * lib32gphobos-dev, libn32gphobos-dev: Remove dependency on non-existing
    libz-dev multilib packages.
  * Update libgfortran symbols files.
  * Update libstdc++ symbols files.

  [ Nicolas Boulenguez ]
  * Ada: update confirm_debian_bugs.py.
  * Ada: fully port 50b8286b from the gcc-8 branch to gcc-9.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Jul 2019 21:53:24 +0200

gcc-9 (9.1.0-8ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Jul 2019 08:53:20 +0200

gcc-9 (9.1.0-9) UNRELEASED; urgency=medium

  * Make the lto-verbose-linker patch more robust for hppa (Dave Anglin).
  * Avoid building stuff which is not needed for architecture independent
    packages.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jul 2019 18:13:15 +0200

gcc-9 (9.1.0-8) unstable; urgency=medium

  * Update to SVN 20190707 (r273175) from the gcc-9-branch.
  * Re-add a lost hunk to the add-kfreebsd patch (James Clarke).
  * Dump config files on failed jit and nvptx builds.
  * Disable the LTO builds on architectures where the buildds can't keep up.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jul 2019 12:10:25 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gcc-9-mipsel-linux-gnu-base`.
